libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
bvc_fsm_priv Struct Reference

## Data Fields
struct gprs_ns2_inst * | nsi
uint16_t | nsei
uint16_t | max_pdu_len
uint16_t | bvci
bool | role_sgsn
bool | locally_blocked
uint8_t | block_cause
uint8_t | last_reset_cause
struct {
uint32_t advertised
uint32_t received
uint32_t negotiated
enum bssgp_fc_granularity fc_granularity
} | features
struct gprs_ra_id | ra_id
uint16_t | cell_id
const struct bssgp_bvc_fsm_ops * | ops
void * | ops_priv

## Field Documentation

## ◆ advertised

uint32_t bvc_fsm_priv::advertised

Referenced by _tx_bvc_reset(), _tx_bvc_reset_ack(), bssgp_bvc_fsm_alloc_sig_bss(), bssgp_bvc_fsm_alloc_sig_sgsn(), bssgp_bvc_fsm_get_features_advertised(), and update_negotiated_features().

## ◆ block_cause

uint8_t bvc_fsm_priv::block_cause

Referenced by bssgp_bvc_fsm_get_block_cause(), bssgp_bvc_fsm_timer_cb(), bssgp_bvc_fsm_unblocked(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ bvci

uint16_t bvc_fsm_priv::bvci

Referenced by _bvc_fsm_alloc(), _onenter_tail(), _tx_bvc_reset(), _tx_bvc_reset_ack(), _tx_status(), bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_blocked(), bssgp_bvc_fsm_blocked_onenter(), bssgp_bvc_fsm_timer_cb(), bssgp_bvc_fsm_unblocked(), bssgp_bvc_fsm_wait_reset_ack(), and fi_tx_ptp().

## ◆ cell_id

uint16_t bvc_fsm_priv::cell_id

Referenced by _tx_bvc_reset(), _tx_bvc_reset_ack(), bssgp_bvc_fsm_alloc_ptp_bss(), bssgp_bvc_fsm_allstate(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ fc_granularity

enum bssgp_fc_granularity bvc_fsm_priv::fc_granularity

Referenced by bssgp_bvc_fsm_unblocked().

## ◆

struct { ... } bvc_fsm_priv::features

Referenced by _tx_bvc_reset(), _tx_bvc_reset_ack(), bssgp_bvc_fsm_alloc_sig_bss(), bssgp_bvc_fsm_alloc_sig_sgsn(), bssgp_bvc_fsm_get_features_advertised(), bssgp_bvc_fsm_get_features_negotiated(), bssgp_bvc_fsm_get_features_received(), bssgp_bvc_fsm_unblocked(), and update_negotiated_features().

## ◆ last_reset_cause

uint8_t bvc_fsm_priv::last_reset_cause

Referenced by bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_timer_cb(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ locally_blocked

bool bvc_fsm_priv::locally_blocked

Referenced by bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_blocked(), bssgp_bvc_fsm_unblocked(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ max_pdu_len

uint16_t bvc_fsm_priv::max_pdu_len

Referenced by _bvc_fsm_alloc(), _tx_status(), bssgp_bvc_fsm_get_max_pdu_len(), and bssgp_bvc_fsm_set_max_pdu_len().

## ◆ negotiated

uint32_t bvc_fsm_priv::negotiated

Referenced by bssgp_bvc_fsm_get_features_negotiated(), bssgp_bvc_fsm_unblocked(), and update_negotiated_features().

## ◆ nsei

uint16_t bvc_fsm_priv::nsei

Referenced by _bvc_fsm_alloc(), _onenter_tail(), bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_unblocked(), bssgp_bvc_fsm_wait_reset_ack(), fi_tx_ptp(), and fi_tx_sig().

## ◆ nsi

struct gprs_ns2_inst* bvc_fsm_priv::nsi

Referenced by _bvc_fsm_alloc(), bssgp_bvc_fsm_alloc_ptp_bss(), fi_tx_ptp(), and fi_tx_sig().

## ◆ ops

const struct bssgp_bvc_fsm_ops* bvc_fsm_priv::ops

Referenced by _onenter_tail(), bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_set_ops(), bssgp_bvc_fsm_unblocked(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ ops_priv

void* bvc_fsm_priv::ops_priv

Referenced by _onenter_tail(), bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_set_ops(), bssgp_bvc_fsm_unblocked(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ ra_id

struct gprs_ra_id bvc_fsm_priv::ra_id

Referenced by _tx_bvc_reset(), _tx_bvc_reset_ack(), bssgp_bvc_fsm_alloc_ptp_bss(), bssgp_bvc_fsm_allstate(), and bssgp_bvc_fsm_wait_reset_ack().

## ◆ received

uint32_t bvc_fsm_priv::received

Referenced by bssgp_bvc_fsm_get_features_received(), and update_negotiated_features().

## ◆ role_sgsn

bool bvc_fsm_priv::role_sgsn

Referenced by _bvc_fsm_alloc(), _tx_bvc_reset(), _tx_bvc_reset_ack(), bssgp_bvc_fsm_allstate(), bssgp_bvc_fsm_blocked(), bssgp_bvc_fsm_unblocked(), and bssgp_bvc_fsm_wait_reset_ack().

The documentation for this struct was generated from the following file:

- src/gb/bssgp_bvc_fsm.c